Balsamiq Mockups

Informations

Créateur Messages
savornicesei Anonymous

Information

Cet installateur a été accepté par l'équipe.

Informations

Plate-formes :
Téléchargements : 3792
Wine: System

Retours d'expérience

Description

Balsamiq is a rapid wireframing tool that helps you Work Faster & Smarter. It reproduces the experience of sketching on a whiteboard, but using a computer.

Making wireframes is fast. You'll generate more ideas, so you can throw out the bad ones and discover the best solutions.

Code source

#!/bin/bash
# Date : (2020-04-29)
# Distribution used to test : OpenSUSE Tumbleweed x64
# Author : Simona Avornicesei
# Licence : MIT
# PlayOnLinux: 4.3.4
#
# Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
#
#
# CHANGELOG
# [Simona Avornicesei] (2020-04-29)
#   Initial script.
# [Dadu042] (2020-04-29 13-00)
#   Add category.
#   Add POL_RequiredVersion

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

PREFIX="BalsamiqMockups"
APP_TITLE="Balsamiq Mockups"
APP_EDITOR="Balsamiq Studios, LLC"
APP_URL="https://balsamiq.com/"
SCRIPT_AUTHOR="Simona Avornicesei"

#Initialization
POL_GetSetupImages "https://media.balsamiq.com/files/company/balsamiq-logo-noborder-print.png" "https://media.balsamiq.com/images/ico-desktop-lg.png" "$APP_TITLE"
POL_SetupWindow_Init
       
POL_Debug_Init
       
# Presentation
POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"

POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Create Prefix
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate

POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
 
####################################### 
# Installation
#######################################
BALSAMIQ_URL="https://build_archives.s3.amazonaws.com/obsolete/mockups-desktop/3.5.17/Balsamiq_Mockups_3.5.17_bundled.zip"
BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.17_bundled.zip"
BALSAMIQ_EXE="Balsamiq Mockups 3.exe"

# Require that unzip is available
if ! which unzip > /dev/null
then
    POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
    return 1
fi

# Download and extract Balsamiq
POL_Download "$BALSAMIQ_URL"
if ! unzip "$BALSAMIQ_ZIP"
then
    POL_Debug_Error "$(eval_gettext 'Failed to unzip the Balsamiq archive: ')$BALSAMIQ_ZIP"
    return 1
fi
POL_Debug_Message "Balsamiq extracted to $POL_System_TmpDir"
mkdir ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3
mv -f Balsamiq_Mockups_3/* ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3/

# Delete TMP folder
POL_System_TmpDelete
 
# Create Shortcuts
POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE" "" "" "Development;"

POL_SetupWindow_Close

exit 0

Contributions

Filters:

Contribuer
Membre Messages
Dadu042 Jeudi 30 Avril 2020 à 10:00
Dadu042
Modérateur

Information

Cette mise à jour a été acceptée par l'équipe

Differences

@@ -7,6 +7,13 @@
 #
 # Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
 #
+#
+# CHANGELOG
+# [Simona Avornicesei] (2020-04-29)
+#   Initial script.
+# [Dadu042] (2020-04-29 13-00)
+#   Add category.
+#   Add POL_RequiredVersion
 
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
@@ -25,7 +32,9 @@
        
 # Presentation
 POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"
- 
+
+POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+
 # Create Prefix
 POL_Wine_SelectPrefix "$PREFIX"
 POL_Wine_PrefixCreate
@@ -62,7 +71,7 @@
 POL_System_TmpDelete
  
 # Create Shortcuts
-POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE"
+POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE" "" "" "Development;"
 
 POL_SetupWindow_Close
 

Nouveau code source

#!/bin/bash
# Date : (2020-04-29)
# Distribution used to test : OpenSUSE Tumbleweed x64
# Author : Simona Avornicesei
# Licence : MIT
# PlayOnLinux: 4.3.4
#
# Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
#
#
# CHANGELOG
# [Simona Avornicesei] (2020-04-29)
#   Initial script.
# [Dadu042] (2020-04-29 13-00)
#   Add category.
#   Add POL_RequiredVersion

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

PREFIX="BalsamiqMockups"
APP_TITLE="Balsamiq Mockups"
APP_EDITOR="Balsamiq Studios, LLC"
APP_URL="https://balsamiq.com/"
SCRIPT_AUTHOR="Simona Avornicesei"

#Initialization
POL_GetSetupImages "https://media.balsamiq.com/files/company/balsamiq-logo-noborder-print.png" "https://media.balsamiq.com/images/ico-desktop-lg.png" "$APP_TITLE"
POL_SetupWindow_Init
       
POL_Debug_Init
       
# Presentation
POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"

POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Create Prefix
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate

POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
 
####################################### 
# Installation
#######################################
BALSAMIQ_URL="https://build_archives.s3.amazonaws.com/obsolete/mockups-desktop/3.5.17/Balsamiq_Mockups_3.5.17_bundled.zip"
BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.17_bundled.zip"
BALSAMIQ_EXE="Balsamiq Mockups 3.exe"

# Require that unzip is available
if ! which unzip > /dev/null
then
    POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
    return 1
fi

# Download and extract Balsamiq
POL_Download "$BALSAMIQ_URL"
if ! unzip "$BALSAMIQ_ZIP"
then
    POL_Debug_Error "$(eval_gettext 'Failed to unzip the Balsamiq archive: ')$BALSAMIQ_ZIP"
    return 1
fi
POL_Debug_Message "Balsamiq extracted to $POL_System_TmpDir"
mkdir ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3
mv -f Balsamiq_Mockups_3/* ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3/

# Delete TMP folder
POL_System_TmpDelete
 
# Create Shortcuts
POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE" "" "" "Development;"

POL_SetupWindow_Close

exit 0

Réponses

savornicesei Mercredi 29 Avril 2020 à 22:35
savornicesei Anonymous

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

Updated Balsamiq Mockups download url and version (3.5.17 is the latest that can be run through wine).

Differences

@@ -1,9 +1,9 @@
 #!/bin/bash
-# Date : (2018-11-22)
+# Date : (2020-04-29)
 # Distribution used to test : OpenSUSE Tumbleweed x64
 # Author : Simona Avornicesei
 # Licence : MIT
-# PlayOnLinux: 4.2.12
+# PlayOnLinux: 4.3.4
 #
 # Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
 #
@@ -36,8 +36,8 @@
 ####################################### 
 # Installation
 #######################################
-BALSAMIQ_URL="https://builds.balsamiq.com/mockups-desktop/Balsamiq_Mockups_3.5.16_bundled.zip"
-BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.16_bundled.zip"
+BALSAMIQ_URL="https://build_archives.s3.amazonaws.com/obsolete/mockups-desktop/3.5.17/Balsamiq_Mockups_3.5.17_bundled.zip"
+BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.17_bundled.zip"
 BALSAMIQ_EXE="Balsamiq Mockups 3.exe"
 
 # Require that unzip is available

Nouveau code source

#!/bin/bash
# Date : (2020-04-29)
# Distribution used to test : OpenSUSE Tumbleweed x64
# Author : Simona Avornicesei
# Licence : MIT
# PlayOnLinux: 4.3.4
#
# Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
#

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

PREFIX="BalsamiqMockups"
APP_TITLE="Balsamiq Mockups"
APP_EDITOR="Balsamiq Studios, LLC"
APP_URL="https://balsamiq.com/"
SCRIPT_AUTHOR="Simona Avornicesei"

#Initialization
POL_GetSetupImages "https://media.balsamiq.com/files/company/balsamiq-logo-noborder-print.png" "https://media.balsamiq.com/images/ico-desktop-lg.png" "$APP_TITLE"
POL_SetupWindow_Init
       
POL_Debug_Init
       
# Presentation
POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"
 
# Create Prefix
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate

POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
 
####################################### 
# Installation
#######################################
BALSAMIQ_URL="https://build_archives.s3.amazonaws.com/obsolete/mockups-desktop/3.5.17/Balsamiq_Mockups_3.5.17_bundled.zip"
BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.17_bundled.zip"
BALSAMIQ_EXE="Balsamiq Mockups 3.exe"

# Require that unzip is available
if ! which unzip > /dev/null
then
    POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
    return 1
fi

# Download and extract Balsamiq
POL_Download "$BALSAMIQ_URL"
if ! unzip "$BALSAMIQ_ZIP"
then
    POL_Debug_Error "$(eval_gettext 'Failed to unzip the Balsamiq archive: ')$BALSAMIQ_ZIP"
    return 1
fi
POL_Debug_Message "Balsamiq extracted to $POL_System_TmpDir"
mkdir ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3
mv -f Balsamiq_Mockups_3/* ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3/

# Delete TMP folder
POL_System_TmpDelete
 
# Create Shortcuts
POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE"

POL_SetupWindow_Close

exit 0

Réponses

Jeudi 30 Avril 2020 à 9:56
script approved. Note: Allowing to install from a local file will help this script to not become obsolete.
savornicesei Vendredi 23 Novembre 2018 à 20:15
savornicesei Anonymous

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

The installed software has a 30-days trial. After that, you need a legit license key to continue using it.

 

Differences

@@ -0,0 +1,69 @@
+#!/bin/bash
+# Date : (2018-11-22)
+# Distribution used to test : OpenSUSE Tumbleweed x64
+# Author : Simona Avornicesei
+# Licence : MIT
+# PlayOnLinux: 4.2.12
+#
+# Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
+#
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+PREFIX="BalsamiqMockups"
+APP_TITLE="Balsamiq Mockups"
+APP_EDITOR="Balsamiq Studios, LLC"
+APP_URL="https://balsamiq.com/"
+SCRIPT_AUTHOR="Simona Avornicesei"
+
+#Initialization
+POL_GetSetupImages "https://media.balsamiq.com/files/company/balsamiq-logo-noborder-print.png" "https://media.balsamiq.com/images/ico-desktop-lg.png" "$APP_TITLE"
+POL_SetupWindow_Init
+       
+POL_Debug_Init
+       
+# Presentation
+POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"
+ 
+# Create Prefix
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate
+
+POL_System_TmpCreate "$PREFIX"
+cd "$POL_System_TmpDir"
+ 
+####################################### 
+# Installation
+#######################################
+BALSAMIQ_URL="https://builds.balsamiq.com/mockups-desktop/Balsamiq_Mockups_3.5.16_bundled.zip"
+BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.16_bundled.zip"
+BALSAMIQ_EXE="Balsamiq Mockups 3.exe"
+
+# Require that unzip is available
+if ! which unzip > /dev/null
+then
+    POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
+    return 1
+fi
+
+# Download and extract Balsamiq
+POL_Download "$BALSAMIQ_URL"
+if ! unzip "$BALSAMIQ_ZIP"
+then
+    POL_Debug_Error "$(eval_gettext 'Failed to unzip the Balsamiq archive: ')$BALSAMIQ_ZIP"
+    return 1
+fi
+POL_Debug_Message "Balsamiq extracted to $POL_System_TmpDir"
+mkdir ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3
+mv -f Balsamiq_Mockups_3/* ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3/
+
+# Delete TMP folder
+POL_System_TmpDelete
+ 
+# Create Shortcuts
+POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE"
+
+POL_SetupWindow_Close
+
+exit 0
\ No newline at end of file

Nouveau code source

#!/bin/bash
# Date : (2018-11-22)
# Distribution used to test : OpenSUSE Tumbleweed x64
# Author : Simona Avornicesei
# Licence : MIT
# PlayOnLinux: 4.2.12
#
# Installs Balsamiq Mockups 3 through PlayOnLinux/PlayOnMac
#

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

PREFIX="BalsamiqMockups"
APP_TITLE="Balsamiq Mockups"
APP_EDITOR="Balsamiq Studios, LLC"
APP_URL="https://balsamiq.com/"
SCRIPT_AUTHOR="Simona Avornicesei"

#Initialization
POL_GetSetupImages "https://media.balsamiq.com/files/company/balsamiq-logo-noborder-print.png" "https://media.balsamiq.com/images/ico-desktop-lg.png" "$APP_TITLE"
POL_SetupWindow_Init
       
POL_Debug_Init
       
# Presentation
POL_SetupWindow_presentation "$APP_TITLE" "$APP_EDITOR" "$APP_URL" "$SCRIPT_AUTHOR" "$PREFIX"
 
# Create Prefix
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate

POL_System_TmpCreate "$PREFIX"
cd "$POL_System_TmpDir"
 
####################################### 
# Installation
#######################################
BALSAMIQ_URL="https://builds.balsamiq.com/mockups-desktop/Balsamiq_Mockups_3.5.16_bundled.zip"
BALSAMIQ_ZIP="Balsamiq_Mockups_3.5.16_bundled.zip"
BALSAMIQ_EXE="Balsamiq Mockups 3.exe"

# Require that unzip is available
if ! which unzip > /dev/null
then
    POL_Debug_Error "$(eval_gettext 'Missing required program: ')unzip"
    return 1
fi

# Download and extract Balsamiq
POL_Download "$BALSAMIQ_URL"
if ! unzip "$BALSAMIQ_ZIP"
then
    POL_Debug_Error "$(eval_gettext 'Failed to unzip the Balsamiq archive: ')$BALSAMIQ_ZIP"
    return 1
fi
POL_Debug_Message "Balsamiq extracted to $POL_System_TmpDir"
mkdir ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3
mv -f Balsamiq_Mockups_3/* ~/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Balsamiq_Mockups_3/

# Delete TMP folder
POL_System_TmpDelete
 
# Create Shortcuts
POL_Shortcut "$BALSAMIQ_EXE" "$APP_TITLE"

POL_SetupWindow_Close

exit 0

Réponses